version: "3.9"
services:
  alleswisser-backend:
    build:
      context: ./alleswisser-backend
    image: isokissa/alleswisser-backend
    ports:
      - "3000:3000"
    container_name: alleswisser-backend
    volumes:
       - ./alleswisser-backend:/alleswisser/alleswisser-backend
       - common-source:/alleswisser/libs
  alleswisser-frontend:
    build:
      context: ./alleswisser-frontend
    image: isokissa/alleswisser-frontend
    ports:
      - "3001:3001"
    container_name: alleswisser-frontend
    stdin_open: true
    volumes:
       - ./alleswisser-frontend:/alleswisser/alleswisser-frontend
       - common-source:/alleswisser/libs

volumes: 
  common-source: 
    driver: local
    driver_opts: 
      type: "none"
      o: "bind"
      device: "./libs"
